/* Sidebar overlay */
.sidebar {
    position: fixed;
    inset: 0;
    display: flex;
    align-items: flex-start;
    justify-content: center;
    visibility: hidden;
    z-index: 999;
    opacity: 0;
}

.sidebar.open {
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
}

.sidebar .sidebar-decor {
    width: 100%;
    height: 100%;
    background: #E4EDFF11;
    backdrop-filter: blur(10px);
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    pointer-events: none;
    z-index: 0;
}

.sidebar .sidebar-decor::before {
    content: '';
    background-image: url(https://cdn.prod.website-files.com/64591e5db836f60c02bb97e9/67fe1c3eb745132ae011384c_07c7c4a544d9eab1d9db6557e7ba7457_dialog-pattern.svg);
    background-position: 0 0;
    background-size: .5rem .5rem;
    position: absolute;
    inset: 0;
    opacity: 0.4;
    pointer-events: none;
    z-index: 1;
}

.sidebar .sidebar-nav {
    width: 100%;
    height: 0;
    background: #0F0F0F;
    border-top: solid .5px #505358;
    border-bottom: solid .5px #505358;
    display: flex;
    flex-direction: column;
    /* gap: clamp(25px, 5vw, 50px); */
    margin-top: 67.5px;
    position: relative;
    z-index: 2;
    overflow: hidden;
    contain: layout style paint;
    /* Better overflow containment */
}

/* sidebar section */
.sidebar-nav .sidebar-section {
    width: 100%;
    height: auto;
    display: flex;
    flex-direction: column;
}

/* sidebar section header */
.sidebar-section .sidebar-section-header {
    display: flex;
    align-items: flex-start;
    justify-content: flex-start;
    gap: 20px;
    padding: 25px 25px 10px 25px;
}

.sidebar-section-header .sidebar-section-title {
    font-family: var(--font-secondary);
    font-weight: normal;
    font-size: 16px;
    color: #7A7E85;
    text-transform: capitalize;
    text-align: left;
}

/* sidebar links */
.sidebar-section .sidebar-links {
    width: 100%;
    height: auto;
    display: flex;
    flex-direction: column;
}

.sidebar-links.row {
    flex-direction: row;
}

.sidebar-links .sidebar-link {
    width: 100%;
    height: auto;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    padding: 5px 25px;
    cursor: pointer;
}

.sidebar-links.row .sidebar-link {
    align-items: center;
    justify-content: center;
}

.sidebar-link .link-label {
    font-family: var(--font-secondary);
    font-size: clamp(18px, 4vw, 20px);
    color: #BBC2CC;
    text-transform: capitalize;
    text-align: left;
}

.sidebar-link i {
    color: #BBC2CC;
    font-size: clamp(18px, 4vw, 20px);
}

/* sidebar socials */
.sidebar-socials {
    width: 100%;
    height: auto;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    border-top: solid .5px #505358;
}

.sidebar-socials .sidebar-social {
    width: 100%;
    height: auto;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    padding: 25px 0px;
    border-right: solid .5px #505358;
}

.sidebar-socials .sidebar-social:last-child {
    border-right: none;
}

.sidebar-social .social-label {
    font-family: var(--font-secondary);
    font-size: clamp(14px, 4vw, 16px);
    color: #BBC2CC;
    text-align: left;
}